/*
 * Copyright (c) 2024 Qualcomm Innovation Center, Inc. All rights reserved.
 * SPDX-License-Identifier: BSD-3-Clause-Clear
*/
/** System Generated File
*  Don't Change Manually */
#ifndef CORE_DEV_CFG_EXPORT_NT_DEVCFG_H_
#define CORE_DEV_CFG_EXPORT_NT_DEVCFG_H_
typedef enum nt_devcfg_id_s 
{
NT_DEVCFG_LFS_REG_TYPE = 1,
NT_DEVCFG_LFS_REG_SIZE = 2,
NT_DEVCFG_LFS_NAME = 3,
NT_DEVCFG_DEFAULT_LOG_LVL = 4,
NT_DEVCFG_DEFAULT_HALPHY_LOG_LVL = 5,
NT_DEVCFG_DEFAULT_LOG_BMAP = 6,
NT_DEVCFG_INDEF_DEEP_SLEEP_EN = 7,
NT_DEVCFG_PERIODIC_WAKE_IDLE_TIMEOUT_US = 8,
NT_DEVCFG_PERIODIC_WAKE_ITO_STEPS = 9,
NT_DEVCFG_PERIODIC_WAKE_START_TIME_MS = 10,
NT_DEVCFG_PERIODIC_WAKE_IDLE_MODE_WAKE_TIME_MS = 11,
NT_DEVCFG_ADAPTIVE_ITO_FEATURE_ENABLE = 12,
NT_DEVCFG_SPECULATIVE_WAKE_FEATURE_ENABLE = 13,
NT_DEVCFG_CHAN_COEFF = 14,
NT_DEVCFG_CHAN_STATS_ROUND_OFF_CONST = 15,
NT_DEVCFG_SPECULATIVE_WAKE_TIME_MS = 16,
NT_DEVCFG_FG_SCAN_PROBE_TYPE = 17,
NT_DEVCFG_VALUE_FG_SSID_SCAN_TYPE = 18,
NT_DEVCFG_NUM_CHANNELS_SCANNED = 19,
NT_DEVCFG_ACTIVE_CHANNEL_DWELL_TIME = 20,
NT_DEVCFG_PASSIVE_CHANNEL_DWELL_TIME = 21,
NT_DEVCFG_RSSI_MIN_THRESH_DEFAULT = 22,
NT_DEVCFG_RSSI_MAX_THRESH_DEFAULT = 23,
NT_DEVCFG_RATE_MIN_THRESH_DEFAULT = 24,
NT_DEVCFG_RATE_MAX_THRESH_DEFAULT = 25,
NT_DEVCFG_FOREGROUND_SCAN_TYPE = 26,
NT_DEVCFG_VALUE_IMP_SSID_SCAN_TYPE = 27,
NT_DEVCFG_BG_SCAN_STATUS = 28,
NT_DEVCFG_BG_PROBE_TYPE = 29,
NT_DEVCFG_BG_SCAN_DURATION = 30,
NT_DEVCFG_BG_FULL_SCAN_FREQ = 31,
NT_DEVCFG_BG_SCAN_TRIGGER = 32,
NT_DEVCFG_INTVAL = 33,
NT_DEVCFG_TXPOWER = 34,
NT_DEVCFG_DTIM_COUNT = 35,
NT_DEVCFG_AP_DTIM_PERIOD = 36,
NT_DEVCFG_BMPS_ENABLE = 37,
NT_DEVCFG_INITITAL_BMPS_IDLE_PERIOD_MS = 38,
NT_DEVCFG_IMPS_ENABLE = 39,
NT_DEVCFG_FORCE_DTIM = 40,
NT_DEVCFG_IMPS_SLEEP_TIMER = 41,
NT_DEVCFG_MIN_WAKE_TIME = 42,
NT_DEVCFG_BSS_MAX_IDLE_TIMER = 43,
NT_DEVCFG_WNM_SLEEP_TIMER = 44,
NT_DEVCFG_WUR_ENABLE = 45,
NT_DEVCFG_WUR_SERVICE_PERIOD = 46,
NT_DEVCFG_WUR_SERVICE_INTERVAL = 47,
NT_DEVCFG_WUR_BEACON_PERIOD = 48,
NT_DEVCFG_WUR_BEACON_OFFSET = 49,
NT_DEVCFG_WAKEUP_FRAME_AT_DATA_AVAILABILITY = 50,
NT_DEVCFG_SUSPEND_FRAME_AT_DATA_AVAILABILITY = 51,
NT_DEVCFG_BMPS_IDLE_TIMER_PERIOD_MS = 52,
NT_DEVCFG_SUSPEND_FRAME_IF_WAKEUP_FRAME_RECEIVED = 53,
NT_DEVCFG_WUR_SOFT_DTIM_ENABLE = 54,
NT_DEVCFG_BASE_EARLY_RX_US = 55,
NT_DEVCFG_BASE_BEACON_WAIT_TIME_US = 56,
NT_DEVCFG_BEACON_WAIT_INC_STEP_US = 57,
NT_DEVCFG_EARLY_RX_STEP_US = 58,
NT_DEVCFG_NO_OF_ACCEPTABLE_BEACON_MISS = 59,
NT_DEVCFG_WNM_DTIM_CONFIG = 60,
NT_DEVCFG_MINIMUM_SLEEP_TIME_FOR_AON = 61,
NT_DEVCFG_SLEEP_CLOCK_SELECTION_FOR_AON = 62,
NT_DEVGFG_THRESHOLD_WARNING_VOLTAGE_CONFIG = 63,
NT_DEVCFG_SYSMON_TASK_PERIODICITY_CONFIG = 64,
NT_DEVCFG_ACCEPTABLE_TX_COUNT = 65,
NT_DEVCFG_ACCEPTABLE_RX_COUNT = 66,
NT_DEVCFG_NO_WAKE_COUNT = 67,
NT_DEVCFG_F2A_ASSERT_TIMEOUT_MS = 68,
NT_DEVCFG_INTER_F2A_INTERVAL_US = 69,
NT_DEVCFG_F2A_PULSE_DURATION_US = 70,
NT_DEVCFG_SOCPM_ENABLE = 71,
NT_DEVCFG_BEACON_MISS_THR_TIME_US = 72,
NT_DEVCFG_CONNECTION_WAIT_TIME_MS = 73,
NT_DEVCFG_RECONNECTION_WAIT_TIME_MS = 74,
NT_DEVCFG_WMI_COMMAND_PROCESS_TIME_MS = 75,
NT_DEVCFG_SLP_CLK_CAL_POLL_TIMER_PERIOD_MS = 76,
NT_DEVCFG_NUM_BMPS_IDLE_INTERVALS = 77,
NT_DEVCFG_SLP_MODE_SLP_CLK_CAL_ENABLE = 78,
NT_DEVCFG_NON_POLLED_RRI_ENABLE = 79,
NT_DEVCFG_HDM_TRIGGERED_RRI_ENABLE = 80,
NT_DEVCFG_SLP_SLOP_INTERVAL_MS = 81,
NT_DEVCFG_SLP_SLOP_STEP_US = 82,
NT_DEVCFG_TWT_ENABLE = 83,
NT_DEVCFG_TWT_DTIM_CONFIG = 84,
NT_DEVCFG_TWT_ALIGNMENT_CONFIG = 85,
NT_DEVCFG_TWT_WAKEUP_INTERVAL_LO = 86,
NT_DEVCFG_TWT_MIN_WAKEUP_DURATION = 87,
NT_DEVCFG_TWT_BROADCAST = 88,
NT_DEVCFG_TWT_WAKEUP_INTERVAL_HI = 89,
NT_DEVCFG_TWT_WAKEUP_TYPE = 90,
NT_DEV_CFG_TWT_FLOW_TYPE = 91,
NT_DEVCFG_TWT_WIFI_FW_ENABLE = 92,
NT_DEVCFG_PROTECTION_MODE = 93,
NT_DEVCFG_ONBOARDING_ENABLE = 94,
NT_DEVCFG_NETWORK_NAME = 95,
NT_DEVCFG_AUTH_TYPE = 96,
NT_DEVCFG_DEVICE_MODE = 97,
NT_DEVCFG_RMF_ENABLE = 98,
NT_DEVCFG_WEP_TYPE = 99,
NT_DEVCFG_WEP_KEY_LENGTH = 100,
NT_DEVCFG_AUTO_START_ENABLED = 101,
NT_DEVCFG_SERVER_DISABLE = 102,
NT_DEVCFG_WIFIAPP_OMPS_SLEEP_TIME = 103,
NT_DEVCFG_WIFIAPP_OMPS_IDLE_TIME = 104,
NT_DEVCFG_WEP40_KEY_ID = 105,
NT_DEVCFG_WEP40_STA_ID = 106,
NT_DEVCFG_WEP40_KEY_STRING = 107,
NT_DEVCFG_WIFIAPP_OMPS_ENABLE = 108,
NT_DEVCFG_WIFIAPP_ENABLEDISC = 109,
NT_DEVCFG_WIFIAPP_SERVICE_PERIOD = 110,
NT_DEVCFG_WIFIAPP_SERVICE_INTERVAL = 111,
NT_DEVCFG_WIFIAPP_BECON_PERIOD = 112,
NT_DEVCFG_WIFIAPP_BECON_OFFSET = 113,
NT_DEVCFG_WIFIAPP_BECON_CTS2S_ENABLE = 114,
NT_DEVCFG_WIFIAPP_CFEenable = 115,
NT_DEVCFG_WIFIAPP_WUR_MC_ENABLE = 116,
NT_DEVCFG_WIFIAPP_RESULT_STATUS_SUCCESS = 117,
NT_DEVCFG_WIFIAPP_RESULT_STATUS_FAILURE = 118,
NT_DEVCFG_IMPS_SLEEP_TIME = 119,
NT_DEVCFG_IMPS_SLEEP_MODE = 120,
NT_DEVCFG_IMPS_RETRY_COUNT = 121,
NT_DEVCFG_POWERSAVE_MODE_IMPS = 122,
NT_DEVCFG_POWERSAVE_MODE_BMPS = 123,
NT_DEVCFG_POWERSAVE_ENABLED = 124,
NT_DEVCFG_DEF_DTIM_VALUE = 125,
NT_DEVCFG_POWERSAVE_WUR_EXIT_FOR_VALID_VENDOR = 126,
NT_DEVCFG_ONBOARDING_via_CONCURRENCY = 127,
NT_DEVCFG_DEFAULT_CONC_DEVICE_MODE = 128,
NT_DEVCFG_RA_FIXED_RATE_INDEX = 129,
NT_DEVCFG_RA_ADAPTATION_TIMER = 130,
NT_DEVCFG_RA_FAST_JUMP_THRESHOLD = 131,
NT_DEVCFG_RA_MIN_PKT_TX_THRESHOLD = 132,
NT_DEVCFG_RA_MIN_GOOD_PUT_FILTER_COEF = 133,
NT_DEVCFG_RA_MAX_GOOD_PUT_FILTER_COEF = 134,
NT_DEVCFG_RETRY_THRESHOLD0 = 135,
NT_DEVCFG_RETRY_THRESHOLD1 = 136,
NT_DEVCFG_RETRY_THRESHOLD2 = 137,
NT_DEVCFG_MGMT_RETRY_THRESHOLD0 = 138,
NT_DEVCFG_MGMT_RETRY_THRESHOLD1 = 139,
NT_DEVCFG_MGMT_RETRY_THRESHOLD2 = 140,
NT_DEVCFG_BC_MC_PRIMARY_RA_IDX = 141,
NT_DEVCFG_BC_MC_SECONDARY_RA_IDX = 142,
NT_DEVCFG_BC_MC_TERTIARY_RA_IDX = 143,
NT_DEVCFG_RA_PER_UPPER_THRESHOLD = 144,
NT_DEVCFG_RA_UPRATE_SAMPLING_CNT = 145,
NT_DEVCFG_RA_RETAIN_RATE = 146,
NT_DEVCFG_RA_ON = 147,
NT_DEVCFG_RA_FIXED_PRI_RATE_INDEX = 148,
NT_DEVCFG_RA_FIXED_SEC_RATE_INDEX = 149,
NT_DEVCFG_RA_FIXED_TRI_RATE_INDEX = 150,
NT_DEVCFG_WIFISEC_AUTH_INTER_FRM_TIMER = 151,
NT_DEVCFG_WIFISEC_AUTH_RETRY_COUNT = 152,
NT_DEVCFG_WIFISEC_SUPPL_SESSION_TIMER = 153,
NT_DEVCFG_WIFISEC_TKIP_CM_TIMER = 154,
NT_DEVCFG_WPS_CONFIG_MODE = 155,
NT_DEVCFG_CONN_TIMEOUT = 156,
NT_DEVCFG_CONN_RETRY_COUNT = 157,
NT_DEVCFG_CONN_WLAN_MLME_TO = 158,
NT_DEVCFG_CONN_MLME_SM_RETRY_CNT = 159,
NT_DEVCFG_CONN_ASSOC_COMEBACK_TIMEOUT = 160,
NT_DEVCFG_CONN_ADDBA_RESP_TIMM = 161,
NT_DEVCFG_CONN_MIC_ERR_TIMM = 162,
NT_DEVCFG_CONN_TKIP_WAIT_TIMM = 163,
NT_DEVCFG_CONN_CONSECUTIVE_BMISS_THRESHOLD = 164,
NT_DEVCFG_CONN_MODIFIED_BEACON_INTERVAL = 165,
NT_DEVCFG_CONN_STA_INACT_INTERVAL = 166,
NT_DEVCFG_CONN_PS_STA_INACT_FACTOR = 167,
NT_DEVCFG_TRANSMIT_INTERRUPT_THRESHOLD_CONFIG = 168,
NT_DEVCFG_RINT_MEASUREMENT_START_THRESHOLD_CONFIG = 169,
NT_DEVCFG_RINT_MEASUREMENT_STOP_THRESHOLD_CONFIG = 170,
NT_DEVCFG_TXOP_VBATT_AVERAGE_SAMPLES_CONFIG = 171,
NT_DEVCFG_RINT_AVERAGE_SAMPLES_CONFIG = 172,
NT_DEVCFG_RINT_MEASUREMENT_WINDOW_TIME_CONFIG = 173,
NT_DEVCFG_RINT_MEASUREMENT_TIME_OUT_CONFIG = 174,
NT_DEVCFG_DEFAULT_PHY_MODE = 175,
NT_DEVCFG_OPERATING_CHAN = 176,
NT_DEVCFG_AUTO_BA = 177,
NT_DEVCFG_AUTO_BA_AC_TYPE = 178,
NT_DEVCFG_WMMP_BE_ACM = 179,
NT_DEVCFG_WMMP_BE_AIFSN = 180,
NT_DEVCFG_WMMP_BE_MIN_LOGCW = 181,
NT_DEVCFG_WMMP_BE_MAX_LOGCW = 182,
NT_DEVCFG_WMMP_BE_TXOP_LIMIT = 183,
NT_DEVCFG_WMMP_BK_ACM = 184,
NT_DEVCFG_WMMP_BK_AIFSN = 185,
NT_DEVCFG_WMMP_BK_MIN_LOGCW = 186,
NT_DEVCFG_WMMP_BK_MAX_LOGCW = 187,
NT_DEVCFG_WMMP_BK_TXOP_LIMIT = 188,
NT_DEVCFG_WMMP_VI_ACM = 189,
NT_DEVCFG_WMMP_VI_AIFSN = 190,
NT_DEVCFG_WMMP_VI_MIN_LOGCW = 191,
NT_DEVCFG_WMMP_VI_MAX_LOGCW = 192,
NT_DEVCFG_WMMP_VI_TXOP_LIMIT = 193,
NT_DEVCFG_WMMP_VO_ACM = 194,
NT_DEVCFG_WMMP_VO_AIFSN = 195,
NT_DEVCFG_WMMP_VO_MIN_LOGCW = 196,
NT_DEVCFG_WMMP_VO_MAX_LOGCW = 197,
NT_DEVCFG_WMMP_VO_TXOP_LIMIT = 198,
NT_DEVCFG_WMM_STATUS = 199,
NT_DEVCFG_HT = 200,
NT_DEVCFG_DEFAULT_DHCP_ENABLE = 201,
NT_DEVCFG_DEFAULT_MAC_ADDR_AP_P1 = 202,
NT_DEVCFG_DEFAULT_MAC_ADDR_AP_P2 = 203,
NT_DEVCFG_DEFAULT_MAC_ADDR_AP_P3 = 204,
NT_DEVCFG_DEFAULT_MAC_ADDR_STA_P1 = 205,
NT_DEVCFG_DEFAULT_MAC_ADDR_STA_P2 = 206,
NT_DEVCFG_DEFAULT_MAC_ADDR_STA_P3 = 207,
NT2_DEVCFG_ENABLE_DISABLE_RRAM_DXE = 208,
}nt_devcfg_id_t; 
void* nt_devcfg_get_config(int enum_id);        // callback function for unit value 
void* nt_devcfg_ascii_config(int enum_id);        // callback function for ascii value 
#endif /* CORE_DEV_CFG_EXPORT_NT_DEVCFG_H_ */ 
